<template>
    <b-row>
        <b-col md="12">
            <template v-if="AtLeastOneEmbed">
                <template v-for="(embed, index) in Embeds">
                    <template v-if="embed.type === 'steam'">
                        <b-row :key="index">
                            <iframe :src="embed.src" frameborder="0" width="646" height="190" 
                                    class="mx-auto d-none d-lg-block" />
                            <iframe :src="embed.src" frameborder="0" width="552" height="190" 
                                    class="mx-auto d-lg-none" />
                        </b-row>
                    </template>
                    <template v-else-if="embed.type === 'itch'">
                        <b-row :key="index">
                            <iframe :src="embed.src" frameborder="0" width="552" height="167" class="mx-auto"/>
                        </b-row>
                    </template>
                </template>
            </template>
            <template v-if="AtLeastOneLink">
                <b-row class="mt-4">
                    <b-col md="3">
                    </b-col>
                    <b-col md="6">
                        <!-- TODO: add link types steam and itch
                            <faicon :icon="['fab', 'steam']" />
                            <faicon :icon="['fab', 'itch-io']" /> -->
                        <template v-for="(link, index) in Links">
                            <template v-if="link.type === 'url'">
                                <a :key="index" :href="link.href" target="_blank" class="text-decoration-none">
                                    <div class="mylink url shadow-sm align-middle">
                                        <faicon :icon="['fas', 'external-link-alt']" fixed-width size="lg" /> | {{ link.title }}
                                    </div>
                                </a>
                            </template>
                            <template v-else-if="link.type === 'playstation'">
                                <a :key="index" :href="link.href" target="_blank" class="text-decoration-none">
                                    <div class="mylink url shadow-sm align-middle">
                                        <b-img center fluid :src="images['/src/assets/Logo-PlayStation-Store.png'].default" width="272" height="59" />
                                    </div>
                                </a>
                            </template>
                            <template v-else-if="link.type === 'xbox'">
                                <a :key="index" :href="link.href" target="_blank" class="text-decoration-none">
                                    <div class="mylink url shadow-sm align-middle">
                                        <b-img center fluid :src="images['/src/assets/Logo-Xbox-Store.png'].default" width="202" height="54" />
                                    </div>
                                </a>
                            </template>
                            <template v-else-if="link.type === 'switch'">
                                <a :key="index" :href="link.href" target="_blank" class="text-decoration-none">
                                    <div class="mylink url shadow-sm align-middle">
                                        <b-img center fluid :src="images['/src/assets/Logo-Nintendo-Eshop.png'].default" width="416" />
                                    </div>
                                </a>
                            </template>
                            <template v-else-if="link.type === 'text'">
                                <div class="mylink text-center url shadow-sm align-middle">
                                    {{ link.title }}
                                </div>
                            </template>
                            <template v-else-if="link.type === 'pdf'">
                                <a :key="index" :href="DownloadPath + link.href" target="_blank" class="text-decoration-none">
                                    <div class="mylink pdf shadow-sm">
                                        <faicon :icon="['far', 'file-pdf']" fixed-width size="lg" /> | {{ link.title }}
                                    </div>
                                </a>
                            </template>
                            <template v-else-if="link.type === 'code'">
                                <a :key="index" :href="DownloadPath + link.href" target="_blank" class="text-decoration-none">
                                    <div class="mylink code shadow-sm">
                                        <faicon :icon="['far', 'file-code']" fixed-width size="lg" /> | {{ link.title }}
                                    </div>
                                </a>
                            </template>
                            <template v-else-if="link.type === 'gitlab'">
                                <a :key="index" :href="link.href" target="_blank" class="text-decoration-none">
                                    <div class="mylink gitlab shadow-sm">
                                        <faicon :icon="['fab', 'gitlab']" fixed-width size="lg" /> | {{ link.title }}
                                    </div>
                                </a>
                            </template>
                            <template v-else-if="link.type === 'win'">
                                <a :key="index" :href="DownloadPath + link.href" class="text-decoration-none">
                                    <div class="mylink exec shadow-sm">
                                        <faicon :icon="['fab', 'windows']" fixed-width size="lg" /> | {{ link.title }}
                                    </div>
                                </a>
                            </template>
                            <template v-else-if="link.type === 'lin'">
                                <a :key="index" :href="DownloadPath + link.href" class="text-decoration-none">
                                    <div class="mylink exec shadow-sm">
                                        <faicon :icon="['fab', 'linux']" fixed-width size="lg" /> | {{ link.title }}
                                    </div>
                                </a>
                            </template>
                            <template v-else-if="link.type === 'mac'">
                                <a :key="index" :href="DownloadPath + link.href" class="text-decoration-none">
                                    <div class="mylink exec shadow-sm">
                                        <faicon :icon="['fab', 'apple']" fixed-width size="lg" /> | {{ link.title }}
                                    </div>
                                </a>
                            </template>
                            <template v-else-if="link.type === 'and'">
                                <a :key="index" :href="DownloadPath + link.href" target="_blank" class="text-decoration-none">
                                    <div class="mylink exec shadow-sm">
                                        <faicon :icon="['fab', 'android']" fixed-width size="lg" /> | {{ link.title }}
                                    </div>
                                </a>
                            </template>
                            <template v-else>
                                <div :key="index" class="mylink shadow-sm">Woopsie!</div>
                            </template>
                        </template>
                    </b-col>
                    <b-col md="3">
                    </b-col>
                </b-row>
            </template>
        </b-col>
    </b-row>
</template>

<script>
import Images from '../images.js';
import Settings from '../settings.json';

export default {
    props: {
        Embeds: Array,
        Links: Array
    },
    created () {
        this.AtLeastOneEmbed = this.Embeds != undefined;
        this.AtLeastOneLink = this.Links != undefined;
        this.DownloadPath = Settings.HTTP + Settings.DownloadFolder;
        this.images = Images.AccordionImages;
    }
};
</script>

<style scoped>
    /* TODO: links' colours and change size on :hover and :active */
    .mylink {
        padding: 8px;
        border-bottom: 1px solid #00000020 !important;
        color: #212529;
    }
        .mylink:hover {
            background: floralwhite !important;
        }
        /* .mylink.url {
            color: #00AA88;
        }
            .mylink.url:hover {
                color: mediumturquoise;
            }
        .mylink.pdf {
            color: rgb(151, 30, 30);
        }
            .mylink.pdf:hover {
                color: rgb(235, 67, 67);
            }
        .mylink.code {
            color: rgb(219, 113, 11);
        }
            .mylink.code:hover {
                color: rgb(255, 141, 31);
            }
        .mylink.gitlab {
            color: rgb(219, 113, 11);
        }
            .mylink.gitlab:hover {
                color: rgb(255, 141, 31);
            }
        .mylink.exec {
            color: darkgoldenrod;
        }
            .mylink.exec:hover {
                color: goldenrod;
            } */
</style>